/* Copy Animation */
.base-color {
  color: hsl(var(--main)) !important;
}

.copyInput {
  display: inline-block;
  line-height: 50px;
  position: absolute;
  top: 0;
  right: 0;
  width: 40px;
  text-align: center;
  font-size: 14px;
  cursor: pointer;
  -webkit-transition: all .3s;
  -o-transition: all .3s;
  transition: all .3s;
}

.copied::after {
  position: absolute;
  top: 8px;
  right: 12%;
  width: 100px;
  display: block;
  content: "COPIED";
  font-size: 1em;
  padding: 5px 5px;
  color: #fff;
  background-color: #FF7000;
  border-radius: 3px;
  opacity: 0;
  will-change: opacity, transform;
  animation: showcopied 1.5s ease;
}

@keyframes showcopied {
  0% {
      opacity: 0;
      transform: translateX(100%);
  }

  50% {
      opacity: 0.7;
      transform: translateX(40%);
  }

  70% {
      opacity: 1;
      transform: translateX(0);
  }

  100% {
      opacity: 0;
  }
}




.cookies-card {
  width: 375px;
  padding: 25px;
  color: #1E2337;
  position: fixed;
  bottom: 30px;
  left: 30px;
  z-index: 999999;
  transition: all .5s;
  background: #fff;
  border-radius: 5px;
  box-shadow: 0 0 18px rgb(0 0 0 / 20%);
  border-radius: 20px;
}

.cookies-card__header {
  display: flex;
  align-items: center;
  justify-content: space-between;
  flex-wrap: wrap;
  font-size: 20px;
  font-weight: 500;
  margin-bottom: 12px;
}

.cookies-card__title {
  font-size: inherit;

}

.cookies-card__close {
  font-size: 40px;
  line-height: 1;
  cursor: pointer;
  color: #797878;
  transition: all 0.2s;
}

.cookies-card__close:hover {
  color: #000;

}

.cookies-card__icon {
  width: 55px;
  height: 55px;
  border-radius: 50%;
  background-color: #6e6f70;
  color: #fff;
  font-size: 32px;
  display: inline-flex;
  justify-content: center;
  align-items: center;
}

.cookies-card__content {
  margin-bottom: 0;
  font-size: 13px;
  margin-bottom: 24px;
}

.cookies-card__footer {
  display: flex;
  align-items: center;
  justify-content: flex-end;
  gap: 10px;
}

.cookies-card__btn-outline {
  text-decoration: none;
  padding: 12px 20px;
  color: #4c4c4c;

}

.cookies-card__btn {
  color: #fff !important;
  text-decoration: none;
  padding: 8px 35px;
  margin: 3px 5px;
  display: inline-block;
  border-radius: 999px;
  background-color: #4c4c4c;
  transition: all 0.2s;
}






@media (max-width: 767px) {
  .cookies-card {
      width: calc(100% - 20px);
      left: 10px;
      bottom: 0;
      font-size: 14px;
      padding: 15px;
  }
}


.cookies-card.hide {
  bottom: -500px !important;
}

.radius--10px {
  border-radius: 10px;
}

.hover-input-popup {
  position: relative;
}

.input-popup {
  display: none;
}

.hover-input-popup .input-popup {
  display: block;
  position: absolute;
  bottom: 130%;
  left: 50%;
  width: 280px;
  background-color: #1a1a1a;
  color: #fff;
  padding: 20px;
  border-radius: 5px;
  transform: translateX(-50%);
  transition: all 0.3s;
}

.input-popup::after {
  position: absolute;
  content: '';
  bottom: -19px;
  left: 50%;
  margin-left: -5px;
  border-width: 10px 10px 10px 10px;
  border-style: solid;
  border-color: transparent transparent #1a1a1a transparent;
  -webkit-transform: rotate(180deg);
  -ms-transform: rotate(180deg);
  transform: rotate(180deg);
}

.input-popup p {
  padding-left: 20px;
  position: relative;
}

.input-popup p::before {
  position: absolute;
  content: '';
  font-family: 'Line Awesome Free';
  font-weight: 900;
  left: 0;
  top: 4px;
  line-height: 1;
  font-size: 18px;
}

.input-popup p.error {
  text-decoration: line-through;
}

.input-popup p.error::before {
  content: "\f057";
  color: #ea5455;
}

.input-popup p.success::before {
  content: "\f058";
  color: #28c76f;
}



.show-filter {
  display: none;
}

@media(max-width:767px) {
  .responsive-filter-card {
      display: none;
      transition: none;
  }

  .show-filter {
      display: block;
  }
}



/* select 2 css  */
.select2-dropdown {
  border: 0 !important;
  margin-top: 8px !important;
  border-radius: 5px !important;
  box-shadow: 0 3px 9px rgba(50, 50, 9, 0.05), 6px 4px 19px rgb(115 103 240 / 20%)
}

.select2-search--dropdown {
  padding: 10px 10px !important;
  border-color: #ced4da !important;
}

.select2-container--default .select2-search--dropdown .select2-search__field {
  border-color: #ced4da !important;
  padding: 10px 20px;
}

.select2-results__option.select2-results__option--selected,
.select2-results__option--selectable,
.select2-container--default .select2-results__option--disabled {
  padding: 12px 14px !important;
  border-bottom: 1px solid #eee;
}

.select2-results__option.select2-results__message {
  text-align: center !important;
  padding: 12px 14px !important;
}

.select2-container--default .select2-results>.select2-results__options::-webkit-scrollbar {
  width: 8px;
  border-radius: 5px;
}

.select2-container--default .select2-results>.select2-results__options::-webkit-scrollbar-track {
  background: #f1f1f1;
  border-radius: 5px;
}

.select2-container--default .select2-results>.select2-results__options::-webkit-scrollbar-thumb {
  background: #ddd;
}

.select2-container--default .select2-results>.select2-results__options::-webkit-scrollbar-thumb:hover {
  background: #ddd;
}

.select2-container--default .select2-selection--single .select2-selection__arrow b {
  display: none;
}

.select2-container--default .select2-selection--single .select2-selection__arrow:after {
  position: absolute;
  right: 10px;
  top: 0;
  content: "\f107";
  font-family: "Line Awesome Free";
  font-weight: 900;
  transition: .3s;
}

.select2-container--default .select2-selection--single {
  border-color: #ced4da !important;
  border-width: 2px !important;
  border-radius: .375rem !important;
  padding: .375rem .75rem !important;
  height: 100% !important;
}

.select2-container--default .select2-selection--single .select2-selection__arrow {
  top: 8px !important;
}

.select2-container--default.select2-container--open .select2-selection--single .select2-selection__arrow:after {
  transform: rotate(-180deg);
}

.select2-results__option:last-child {
  border-bottom-left-radius: 5px;
  border-bottom-right-radius: 5px;
}

.select2-results__option:first-child {
  border-top-left-radius: 5px;
  border-top-right-radius: 5px;
}

.select2-results__option.select2-results__option--selected,
.select2-container--default .select2-results__option--highlighted.select2-results__option--selectable {
  background-color: #f1f1f1 !important;
  color: #000 !important;
}

.select2-container--default .select2-search--dropdown .select2-search__field:focus {
  border-color: rgb(var(--main)) !important;
  box-shadow: 0 0 25px rgba(115, 103, 240 0.071) !important;
  outline: 0 !important;
}

.select2-dropdown .country-flag {
  width: 25px;
  height: 25px;
  border-radius: 8px;
}

.select2-dropdown .gateway-title {
  font-size: 14px;
  font-weight: 600;
  margin-bottom: 0px !important;
}

.select2-dropdown .gateway-subtitle {
  font-size: 12px;
  margin-bottom: 0px !important;
}

.select2-container--open .select2-selection.select2-selection--single,
.select2-container--open .select2-selection.select2-selection--multiple {
  border-color: hsl(var(--base)) !important;
  border-radius: .375rem !important;
}


.gateway-card {
  padding: 15px;
}

.payment-card-title {
  padding: 13px 25px;
  text-align: center;
  background-color: rgb(var(--main));
  border-radius: 5px;
  border: 0;
  margin-bottom: 0px;
  color: #fff;
}

.payment-system-list {
  --thumb-width: 100px;
  --thumb-height: 40px;
  --radio-size: 12px;
  --border-color: #cccccf59;
  --hover-border-color: rgb(var(--main));
  background-color: #fff;
  border-radius: 5px;
  height: 100%;

}


.payment-system-list.is-scrollable {
  max-height: min(388px, 70vh);
  overflow-x: auto;
  padding-block: 4px;
}

.payment-system-list.is-scrollable::-webkit-scrollbar {
  width: 5px;
}

.payment-system-list.is-scrollable::-webkit-scrollbar {
  width: 5px;

}

.payment-system-list.is-scrollable::-webkit-scrollbar-thumb {
  background-color: rgb(var(--main));
  border-radius: 10px;
}

.payment-item {
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-wrap: wrap;
  padding: 10px 18px;
  border: 1px solid #fff;
  border-top-color: var(--border-color);
  transition: all 0.3s;
  border-left: 3px solid transparent;
}

.payment-item:first-child {
  border-top-color: #fff;
  border-radius: 5px 5px 0 0;
}

.payment-item:has(.payment-item__radio:checked) {
  border-left: 3px solid var(--hover-border-color);
  border-radius: 0px;
}

.payment-item__check {
  border: 3px solid transparent;
}

.payment-item:has(.payment-item__radio:checked) .payment-item__check {
  border: 3px solid rgb(var(--main));
}

.payment-item__info {
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  max-width: calc(100% - var(--thumb-width))
}

.payment-item__check {
  width: var(--radio-size);
  height: var(--radio-size);
  border: 1px solid rgb(var(--main));
  display: inline-block;
  border-radius: 100%;

}

.payment-item__name {
  padding-left: 10px;
  width: calc(100% - var(--radio-size));
  transition: all 0.3s;
}

.payment-item__thumb {
  width: var(--thumb-width);
  height: var(--thumb-height);
  text-align: right;
  padding-left: 10px;

  &:has(.text) {
      width: fit-content;
  }
}

.payment-item__thumb img {
  max-width: var(--thumb-width);
  max-height: var(--thumb-height);
  object-fit: cover;
}


.deposit-info {
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  justify-content: space-between;
}

.deposit-info__title {
  max-width: 50%;
  margin-bottom: 0px;
  text-align: left;
}

.deposit-info__input {
  max-width: 50%;
  text-align: right;
  width: 100%;
}

.deposit-info__input-select {
  border: 1px solid var(--border-color);
  width: 100%;
  border-radius: 5px;
  padding-block: 6px;
}

.deposit-info__input-group {
  border: 1px solid var(--border-color);
  border-radius: 5px;

  .deposit-info__input-group-text {
      align-self: center;
      padding-left: 5px;
  }

}

.deposit-info__input-group .form--control {
  padding: 5px;
  border: 0;
  height: 35px;
  text-align: right;
}

.deposit-info__input-group .form--control:focus {
  box-shadow: unset;
}

.info-text .text,
.deposit-info__input .text {
  font-size: 14px;

}

.deposit-info__title .text.has-icon {
  display: flex;
  align-items: center;
  gap: 5px
}

.total-amount {
  border-top: 1px solid var(--border-color);
}

.total-amount .deposit-info__title {
  font-weight: 600;
}

.payment-item__btn {
  border: 0;
  border-block: 1px solid var(--border-color);
  border-bottom: 0;
  background: #fff;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 13px 15px;
  font-weight: 500;
}

.payment-item:hover+.payment-item__btn {
  border-top-color: #fff;
}

button .spinner-border {
  --bs-spinner-width: 1.5rem;
  --bs-spinner-height: 1.5rem;
}



/* change select 2 style */

/* select 2 */
.select2-dropdown {
  border: 0 !important;
  margin-top: 8px !important;
  border-radius: 5px !important;
  box-shadow: 0 3px 9px rgba(50, 50, 9, 0.05), 6px 4px 19px rgb(115 103 240 / 20%)
}

.select2-search--dropdown {
  padding: 10px 10px !important;
  border-color: #ced4da !important;
}

.select2-container--default .select2-search--dropdown .select2-search__field {
  border-color: #ced4da !important;
  padding: 10px 20px;
}

.select2-results__option.select2-results__option--selected,
.select2-results__option--selectable,
.select2-container--default .select2-results__option--disabled {
  padding: 12px 14px !important;
  border-bottom: 1px solid #eee;
}

.select2-results__option.select2-results__message {
  text-align: center !important;
  padding: 12px 14px !important;
}

.select2-container--default .select2-results>.select2-results__options::-webkit-scrollbar {
  width: 8px;
  border-radius: 5px;
}

.select2-container--default .select2-results>.select2-results__options::-webkit-scrollbar-track {
  background: #f1f1f1;
  border-radius: 5px;
}

.select2-container--default .select2-results>.select2-results__options::-webkit-scrollbar-thumb {
  background: #ddd;
}

.select2-container--default .select2-results>.select2-results__options::-webkit-scrollbar-thumb:hover {
  background: #ddd;
}

.select2-container--default .select2-selection--single .select2-selection__arrow b {
  display: none;
}

.select2-container--default .select2-selection--single .select2-selection__arrow:after {
  position: absolute;
  right: 10px;
  top: 3px;
  content: "\f107";
  font-family: "Line Awesome Free";
  font-weight: 900;
  transition: .3s;
}

.select2-container--default .select2-selection--single .select2-selection__rendered {
  line-height: 35px !important;
}

.select2-container--default .select2-selection--single {
  border-color: rgba(0, 0, 0, 0.08) !important;
  border-width: 1px !important;
  border-radius: .375rem !important;
  padding: .375rem .75rem !important;
  height: 50px !important;
}

.select2-container--open .select2-selection.select2-selection--single,
.select2-container--open .select2-selection.select2-selection--multiple {
  border-color: rgb(var(--r), var(--g), var(--b)) !important;
}

.select2-container--default .select2-selection--single .select2-selection__arrow {
  top: 8px !important;
}

.select2-container--default.select2-container--open .select2-selection--single .select2-selection__arrow:after {
  transform: unset !important;
  content: "\f106";
}

.select2-results__option:last-child {
  border-bottom-left-radius: 5px;
  border-bottom-right-radius: 5px;
}

.select2-results__option:first-child {
  border-top-left-radius: 5px;
  border-top-right-radius: 5px;
}

.select2-results__option.select2-results__option--selected,
.select2-container--default .select2-results__option--highlighted.select2-results__option--selectable {
  background-color: #f1f1f1 !important;
  color: #000 !important;
}

.select2-container--default .select2-search--dropdown .select2-search__field:focus {
  border-color: rgb(var(--main)) !important;
  box-shadow: 0 0 25px rgba(115, 103, 240 0.071) !important;
  outline: 0 !important;
}

.select2-dropdown .country-flag {
  width: 25px;
  height: 25px;
  border-radius: 8px;
}

.select2-dropdown .gateway-title {
  font-size: 14px;
  font-weight: 600;
  margin-bottom: 0px !important;
}

.select2-dropdown .gateway-subtitle {
  font-size: 12px;
  margin-bottom: 0px !important;
}

.select2-container--default .select2-selection--multiple {
  border-color: rgba(0, 0, 0, 0.1) !important;
}

.button-loader .spinner-border {
  --bs-spinner-width: 1rem;
  --bs-spinner-height: 1rem;
}* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
    font-family: "ClashDisplay Regular";
}

.top-margin {
    margin-top: 80px;
}
.offcanvas.show{
  transition: 0.6s all linear;
}
.offcanvas-end{
  transition: 0.6s all linear;
}
@font-face {
    font-family: "ClashDisplay Regular";
    src: url("ClashDisplay-Regular.woff2") format("woff2"), url("ClashDisplay-Regular.woff") format("woff");
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: "ClashDisplay Bold";
    src: url("ClashDisplay-Semibold.woff2") format("woff2"), url("ClashDisplay-Semibold.woff") format("woff");
    font-style: normal;
}

.hero-banner {
    background: center / cover no-repeat;
    height: 90vh;
}
.bg-dark-grey{
  background-color: #393939 !important;
}
.wishlist-icon2{
  font-size: 18px;
  cursor: pointer;
}
.hero-banner.desktop-bg {
    background-image: url("");
}

.about-banner {
    background: center / cover no-repeat;
    height: 90vh;
}

.about-banner.desktop-bg {
    background-image: url("");
}


.hero-slide2 {
    background: center / cover no-repeat;
    height: 90vh;
}

.hero-slide3 {
    background: center / cover no-repeat;
    height: 90vh;
}

.hero-heading {
    font-size: 60px;
    font-family: "ClashDisplay Bold";
}

.font-bold {
    font-family: "ClashDisplay Bold";
    color: #4c4c4c;
}

.text-green {
    color: #0f7505;
}

.text-red {
    color: #eb0100;
}

.text-blue {
    color: #030a8f;
}

.line-height{
  line-height: 50px;
  list-style: none;
}

.text-yellow {
    color: #f0ac1e !important;
}

.font-s50 {
    font-size: 50px;
}

.font-s40 {
    font-size: 40px;
}

.font-s18 {
    font-size: 18px;
}

.font-s14 {
    font-size: 14px;
}

.font-s11 {
    font-size: 11px;
}

.font-s23 {
    font-size: 23px;
}

.fw-800 {
    font-weight: 800;
}

.fw-600 {
    font-weight: 600;
}

.fw-800 {
    font-weight: 800;
}

.fw-900 {
    font-weight: 900;
}

.nav-link {
    font-size: 17px;
    margin: 0px 5px 0px 5px;
    font-weight: 600;
    list-style: none;
    color: black !important;
}

.text-black {
    color: #000000 !important;
}

.bg-black {
    background-color: #000000 !important;
}

.bg-grey {
    background-color: #4c4c4c !important;
    opacity: 80%;
}

.round {
    border-radius: 25px;
}

.round2 {
    border-radius: 15px;
}

.dropdown-round {
    border-radius: 10px 10px 40px 10px;
    background-color: #4c4c4c;
    padding: 20px 0px 20px 0px;
}

.dropdown-item {
    color: #ffffff;
}

.dropdown-item:active {
    background-color: #f0ac1e !important;
}

.grey-bg {
    background-color: #4c4c4c;
}

.grey-color {
    color: #4c4c4c !important;
}

.bg-yellow {
    background-color: #f0ac1e !important;
}

.text-adjust-col {
    align-items: center;
}

.bttn {
    background-color: #4c4c4c;
    color: #ffffff;
    border-radius: 20px;
    padding: 7px 30px 7px 30px;
}

.btn-small {
    background-color: #f0ac1e;
    color: #ffffff;
    border-radius: 20px;
    padding: 7px 20px 7px 20px;
}

.btn-outline {
    border: 1px solid #4c4c4c;
    color: #4c4c4c;
    border-radius: 20px;
    padding: 7px 35px 7px 35px;
}

.btn-outline-white {
    border: 1px solid #ffffff;
    color: #4c4c4c;
    border-radius: 20px;
    padding: 7px 35px 7px 35px;
}

input[type="number"]::-webkit-inner-spin-button,
input[type="number"]::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

.num-inp {
    border-radius: 10px;
}

.para {
    color: #9b9b9b;
}

.tab-section.active {
    color: #ffffff;
    background-color: #4c4c4c;
    padding: 15px 2px 15px 2px;
    border-radius: 20px 20px 0px 0px;
    box-shadow: none;
    border-bottom: 2px solid #f0ac1e;
}
.search1::placeholder {
  color: #ffffff;
  opacity: 1;
}
.tab-section1.active {
    transform: scale(1.1);
}

.tab-section {
    padding: 15px 2px 15px 2px;
    border-radius: 20px 20px 0px 0px;
}

.tab-pane {
    padding: 30px 0px 30px 0px;
}

.tab-ul2 {
    margin-left: 40px;
}

.cards {
    background: radial-gradient( circle, rgba(241, 241, 241, 1) 0%, rgba(184, 184, 184, 1) 100%);
}

.cards:hover {
    color: #ffffff;
    background: radial-gradient( circle, rgba(92, 92, 92, 0.33) 0%, rgba(76, 76, 76, 1) 100%);
}

.cards:hover .card-btn {
    background-color: #ececec;
    color: #4c4c4c;
}

.card-btn {
    background-color: #4c4c4c;
    color: #ffffff;
}

.cards:hover .card-accordian {
    color: #ffffff !important;
}

.card-accordian {
    padding: 10px 0px 10px 0px;
    color: #000000 !important;
}

.cards.active {
    color: #ffffff;
    background: radial-gradient( circle, rgba(92, 92, 92, 0.33) 0%, rgba(76, 76, 76, 1) 100%);
}

.card-bar {
    color: #ffffff;
}

.cards:hover .card-bar {
    color: #4c4c4c;
    background-color: #ececec;
}

.acc-btn::after {
    background-image: url("arrow-down-black.webp");
}

.cards:hover .acc-btn::after {
    background-image: url("arrow-down.webp");
}

.cards:hover .acc-btn:not(.collapsed)::after {
    background-image: url("arrow-up.webp");
    transform: rotate(0deg);
}

.acc-btn:not(.collapsed)::after {
    background-image: url("arrow-up.webp");
    transform: rotate(0deg);
}

.swiper-pagination-bullet {
    width: var( --swiper-pagination-bullet-width, var(--swiper-pagination-bullet-size, 15px));
    height: var( --swiper-pagination-bullet-height, var(--swiper-pagination-bullet-size, 15px));
    background: var(--swiper-pagination-bullet-inactive-color, #000);
}

.swiper-pagination-bullet-active {
    opacity: var(--swiper-pagination-bullet-opacity, 1);
    background: #4c4c4c;
}

.why-card {
    background-color: #f7f9fb;
}

.enjoy-bg {
    background: radial-gradient( circle, rgba(102, 102, 102, 1) 0%, rgba(0, 0, 0, 0.8) 100%);
}

.form-control-lg {
    font-size: 19px;
    border-radius: 12px;
    box-shadow: none !important;
}

.review-card {
    background-color: #efefef;
}

.review-card-hg {
    height: 300px;
}

.faq-btn::after {
    background-image: url("plus.webp");
}

.faq-btn:not(.collapsed)::after {
    background-image: url("sub.webp");
    transform: rotate(0deg);
}

.shadow1 {
    box-shadow: 0px 0.5px 6px 0px #3737373f;
    border-radius: 30px;
}

.accordion-item:first-of-type {
    border-top-left-radius: 1rem;
    border-top-right-radius: 1rem;
}

.accordion-item:last-of-type {
    border-bottom-right-radius: 1rem;
    border-bottom-left-radius: 1rem;
}

.faq-btn:not(.collapsed) {
    color: #000000;
    background-color: #ffffff;
    box-shadow: inset 0 -1px 0 rgba(0, 0, 0, 0.125);
}

.footer-color {
    background-color: #4c4c4c;
}

.footer-list {
    list-style: none;
}

.lastcol2 {
    text-align: center;
}

.lastcol3 {
    text-align: end;
}

.card-pad {
    padding: 10px 20px 10px 20px;
}

.color-options {
    display: flex;
    flex-wrap: wrap;
    gap: 5px;
    margin-top: 10px;
}

.color-input {
    display: none;
}

.color-label {
    width: 25px;
    height: 25px;
    border-radius: 4px;
    display: inline-block;
    cursor: pointer;
    transition: transform 0.2s, border-color 0.2s;
    border: 1px solid #ccc;
}

.nav-tabs {
    border-bottom: none;
}


/* Style for checked (selected) color */

.color-input:checked+.color-label {
    border-color: #f0ac1e;
}


/* Hide the original select */

.custom-select-wrapper select {
    display: none;
}


/* Custom dropdown styling */

.custom-select-wrapper {
    position: relative;
    width: 200px;
}

.custom-select {
    background-color: #d9d9d9;
    padding: 10px;
    border-radius: 4px;
    cursor: pointer;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.custom-options {
    position: absolute;
    top: 100%;
    left: 0;
    right: 0;
    background-color: #fff;
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.15);
    display: none;
    z-index: 1;
}

.custom-options div {
    padding: 10px;
    cursor: pointer;
}


/* Hover effect for custom options */

.custom-options div:hover {
    background-color: #f0f0f0;
}


/* Show options on clicking */

.custom-select-wrapper.open .custom-options {
    display: block;
}

.filter-desktop {
    display: block !important;
}

.filter-mobile {
    display: none !important;
}


/* Define colors */

.color-white {
    background-color: #ffffff;
}

.color-black {
    background-color: #000;
}

.color-light-grey {
    background-color: #c0c0c0;
}

.color-gray {
    background-color: #808080;
}

.color-red {
    background-color: #ff0000;
}

.color-blue {
    background-color: #0000ff;
}

.color-dark-blue {
    background-color: #00008b;
}

.color-dark-gray {
    background-color: #2a3439;
}

.color-yellow {
    background-color: #ffff00;
}

.color-orange {
    background-color: #ffa500;
}

.color-mehroon {
    background-color: #800000;
}

.color-off-white {
    background-color: #f5f5dc;
}

.color-dark-brown {
    background-color: #8b4513;
}

.color-mustard {
    background-color: #ffd700;
}

.color-green {
    background-color: #008000;
}

.bg-light-grey {
    background-color: #f3f3f3;
}

.lender-bg {
    background: radial-gradient( circle, rgba(76, 76, 76, 1) 0%, rgba(0, 0, 0, 0.9) 100%);
}

#step2,
#step3 {
    display: none;
    /* Start with the second step hidden */
}

.upload-box {
    border: 2px dashed #ccc;
    border-radius: 8px;
    padding: 20px;
    cursor: pointer;
    transition: all 0.3s ease;
}

.upload-cargo {
    border: 2px dashed #ccc;
    border-radius: 8px;
    padding: 10px;
    cursor: pointer;
    transition: all 0.3s ease;
}


/* .image-preview-container {
    display: flex;
    gap: 10px;
    flex-wrap: wrap;
    margin-top: 10px;
  } */

.image-preview {
    position: relative;
    width: 19%;
    height: 200px;
    border: 1px solid #ddd;
    border-radius: 4px;
    /* overflow: hidden; */
    background-color: #f8f8f8;
}

.image-preview img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}


/* .image-preview::before{
    content: "Primary image";
    z-index: 100;
    text-align: start;
  } */

.delete-button {
    position: absolute;
    top: 0px;
    right: 2px;
    font-size: 12px;
    cursor: pointer;
}

.primary-badge {
    position: absolute;
    top: 0px;
    left: 0px;
    background-color: #1d1d1d;
    color: white;
    padding: 2px 6px;
    font-size: 10px;
    border-radius: 3px;
}

.circle {
    width: 40px;
    height: 40px;
    border-radius: 50%;
    background-color: #f0f0f0;
}

.coll1 {
    background-color: #00000038;
}

.bi::before,
[class*=" bi-"]::before,
[class^="bi-"]::before {
    line-height: 0 !important;
    vertical-align: -0.2em !important;
}

.sticky {
    position: -webkit-sticky;
    /* Safari */
    position: sticky;
    top: 0;
}

.sidebar {
    transition: transform 0.3s ease-in-out;
    width:24%;
}

select option:checked {
    background: black !important;
    color: white !important;
}

.sidebar.hidden {
    transform: translateX(-100%);
    display: none;
    transition: transform 0.3s ease-in-out;
}
.property-detail-preview{
  width: 100%;
  height: 500px;
  object-fit: cover;
}
@media screen and (min-width: 280px) and (max-width: 1000px) {
    .sidebar.hidden {
        transform: translateX(-100%);
        display: none;
        transition: transform 0.3s ease-in-out;
    }
}

@media screen and (min-width: 280px) and (max-width: 700px) {
    .tab-ul2 {
        margin-left: 0px;
        margin-bottom: 40px;
    }
    .property-detail-preview{
    height:250px;
  }
    .tab-section.active {
        color: #ffffff;
        background-color: #4c4c4c;
        padding: 15px 2px 15px 2px;
        border-radius: 10px 10px 10px 10px;
        box-shadow: none;
    }
    .font-s23 {
        font-size: 18px;
    }
    .home-heading {
        font-size: 30px;
    }
    .font-s40 {
        font-size: 30px;
    }
    .enjoy-bg {
        align-items: start;
        height: auto;
        background-image: url("plan-bg.webp");
    }
    .lastcol1 {
        text-align: center;
    }
    .lastcol3 {
        text-align: center;
    }
    .resposive-col {
        display: flex;
        flex-direction: column;
        align-items: center;
    }
    .row-reverse {
        flex-direction: column-reverse;
    }
    .fixed-image-size {
        min-width: auto !important;
        min-height: auto !important;
        width: auto;
        object-fit: cover;
    }
    .filter-desktop {
        display: none !important;
    }
    .filter-mobile {
        display: block !important;
    }
    /* .rent-lend-hero {
        background-image: url("assets/images/rent-mobile-banner.webp") !important;
    } */
    /* .store-hero {
        background-image: url("assets/images/store-mobile-banner.webp") !important;
    } */
    /* .drive-hero {
        background-image: url("assets/images/drive-mobile-banner.webp") !important;
    } */
    
    .hero-banner.mobile-bg {
        background-image: url("");
        height: 80vh;
    }
    
    
    .hero-slide2 {
        /* background-image: url("assets/images/mobile-hero-slide2.webp") !important; */
        height: 80vh;
    }
    .hero-slide3 {
        /* background-image: url("assets/images/mobile-hero-slide3.webp") !important; */
        height: 80vh;
    }
    .text-adjust-col {
        align-items: end;
    }
    /* .ride-hero {
        background-image: url("assets/images/ride-mobile-banner.webp") !important;
    } */
    .buy-sell-banner {
        /* background-image: url("assets/images/buy-sell-mobile-banner.webp") !important; */
        height: 100vh !important;
    }
    .coll {
         background-color: #00000057;
    }
    .search {
        display: none;
    }
}


/* -------------------Drive----------------------- */

.drive-hero {
    background: center / cover no-repeat;
    height: 85vh;
}

.download-bar {
    background: radial-gradient( circle, rgba(255, 220, 146, 1) 0%, rgba(240, 172, 30, 1) 50%);
}

.iti {
    display: flex !important;
    border-radius: 20px !important;
}


/* -------------------Ride----------------------- */

.ride-hero {
    background: center / cover no-repeat;
    height: 80vh;
}

/* -------------------Property----------------------- */
.property-banner {
  background: center / cover no-repeat;
  height: 80vh;
}
/* -------------------Rent Lend----------------------- */

.rent-lend-hero {
    background: center / cover no-repeat;
    height: 100vh;
}

.store-hero {
    background: center / cover no-repeat;
    height: 100vh;
}

.buy-sell-banner {
    background-image: url("buy-sell-banner.webp");
    height: 90vh;
}

.bttn-glass {
    background: rgba(255, 255, 255, 0.13);
    border-radius: 16px;
    backdrop-filter: blur(3px);
    -webkit-backdrop-filter: blur(6px);
    border: 1px solid rgba(255, 255, 255, 1);
}

.rent-btn {
    background: radial-gradient( circle, rgba(255, 255, 255, 1) 0%, rgba(153, 153, 153, 0.5018382352941176) 100%);
    padding: 15px 20px 15px 20px;
    border-radius: 20px;
}

.lend-btn {
    background: radial-gradient( circle, rgba(255, 220, 146, 1) 0%, rgba(240, 172, 30, 1) 50%);
}

.dash-btn {
    background: radial-gradient(circle, rgba(102, 102, 102, 1) 0%, rgba(0, 0, 0, 1) 100%);
}

.login-bg {
    /*background-image: url("assets/images/login-page.webp");*/
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    height: 100vh;
}

.google-btn {
    background-color: #ffffff;
    box-shadow: 0px 1px 1px 1px #cecccc;
    padding: 10px 15px 10px 15px;
    border-radius: 10px;
    width: 100%;
}

.back {
    height: 35px;
    width: 35px;
    background-color: #ffffff;
    box-shadow: 0px 1px 4px 0px #00000067;
}

.form-check-input:checked {
    background-color: #4c4c4c;
    border-color: #4c4c4c;
}

.border-bottom {
    border-radius: 0;
    border-bottom: 1.5px solid #b4b4b4 !important;
}

input:focus {
    border-color: #f0ac1e !important;
}

.rent-hero {
    background: radial-gradient( circle, rgba(76, 76, 76, 1) 0%, rgba(0, 0, 0, 0.9) 100%);
    box-shadow: 0px 3px 4px 0px #f0ac1e;
}

.round2 {
    border-radius: 10px;
}

.sort-select {
    width: 70%;
}

.page-item.active .page-link {
    z-index: 3;
    color: #fff;
    background-color: #4c4c4c;
    border-color: rgb(211, 211, 211);
}

.page-link {
    position: relative;
    display: block;
    color: #000000;
    text-decoration: none;
    background-color: #fff;
    border: 1px solid #dee2e6;
    transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out;
}


/* Range Slider Container */

.range-slider {
    position: relative;
    width: 100%;
    height: 8px;
}


/* Styling for the two sliders (overlapping) */

.range-search[type="range"] {
    -webkit-appearance: none;
    appearance: none;
    width: 100%;
    height: 8px;
    background: transparent;
    position: absolute;
    top: 0;
    pointer-events: none;
}


/* Range Slider Track */

.range-slider::before {
    content: "";
    position: absolute;
    height: 8px;
    width: 100%;
    background: #e0e0e0;
    border-radius: 4px;
    top: 0;
    left: 0;
}


/* The filled portion (between two handles) */

.range-slider::after {
    content: "";
    position: absolute;
    height: 8px;
    background: #f0ac1e;
    border-radius: 4px;
    z-index: 0;
    top: 0;
    left: var(--min);
    width: calc(var(--max) - var(--min));
}


/* Styling for the slider thumbs (handles) */

.range-search[type="range"]::-webkit-slider-thumb {
    -webkit-appearance: none;
    appearance: none;
    width: 15px;
    height: 15px;
    background: #4c4c4c;
    border-radius: 50%;
    cursor: pointer;
    pointer-events: auto;
    z-index: 2;
    position: relative;
}

.range-search[type="range"]::-moz-range-thumb {
    width: 15px;
    height: 15px;
    background: #333 !important;
    border-radius: 50%;
    cursor: pointer;
    position: relative;
    pointer-events: auto;
}

.profile-menu {
    min-width: 16rem !important;
}

.fixed-image-size {
    min-width: 250px;
    min-height: 200px;
    object-fit: cover;
}

.accordion-button:not(.collapsed) {
    color: #000000;
    background-color: #ffffff;
    box-shadow: none;
}

.success-tick {
    width: 60px;
    height: 60px;
    position: relative;
}

.tick {
    width: 100%;
    height: 100%;
    border-radius: 50%;
    border: 2px solid green;
    position: absolute;
    left: 0;
    top: 0;
    animation: fill 3s ease-in-out forwards;
    animation-delay: 0.3s;
}

.wishlist-icon {
    font-size: 1.5rem;
    color: #000;
    cursor: pointer;
}

.truncate {
    display: -webkit-box;
    -webkit-line-clamp: 2;
    /* Limit to 2 lines */
    -webkit-box-orient: vertical;
    overflow: hidden;
}

.wishlist-icon .bi-heart-fill {
    color: #f0ac1e;
}

.centered-image {
    height: 100%;
    object-fit: cover;
}

.feature {
    padding: 4px 15px 4px 15px;
}

.dd {
    box-shadow: 0px 1px 3px 2px rgba(194, 194, 194, 0.459);
}

.card1.active {
    background-color: #484848;
    /* Change this to the desired color */
    color: white;
    /* Optional: change text color for contrast */
}

.about-banner {
    background: url("") center / cover no-repeat;
    background-position-y: -50px;
    height: 70vh;
}

.about-banner.mobile-bg {
    background-image: url("");
}


/* Style for the active slide background */

.active-slide .cards {
    background-color: #2e2e2e;
    /* Customize this color as desired */
}

.map-fade {
    background-color: rgba(255, 255, 255, 0.5);
    /* Slightly transparent white */
    background-image: linear-gradient(rgba(255, 255, 255, 0.342), #ffffff);
    padding: 10px;
}

.fade {
    padding: 0px 0px 0px 50px;
}

.mobile-img2 {
    display: none;
}

.dashboard-font {
    font-size: 12px;
}

.dashboard-sfont {
    font-size: 9px;
}

.dash-dropdown::after {
    display: none !important;
}

.dropdown-menu-end {
    min-width: 17rem !important;
}

.col-del2 {
    display: none !important;
}

@keyframes fill {
    0% {
        transform: scale(0);
    }
    50% {
        transform: scale(1.2);
        border-color: rgb(1, 156, 1);
    }
    100% {
        transform: scale(1);
        background-color: rgb(3, 151, 3);
    }
}

@media screen and (min-width: 280px) and (max-width: 768px) {
    .filter-desktop {
        display: none !important;
    }
    .filter-mobile {
        display: block !important;
    }
    .mobile-img1 {
        display: none;
    }
    .mobile-img2 {
        display: block;
    }
    .fade {
        padding: 0px 0px 0px 0px;
    }
    .pad-left {
        padding: 0px 40px 0px 40px;
    }
}

.timeline .pickup::after {
    content: "";
    position: absolute;
    left: 9px;
    top: 32px;
    bottom: -24px;
    width: 2px;
    background: transparent;
    border-left: 1px dashed #797878;
}

.timeline .pickup-cargo::after {
    content: "";
    position: absolute;
    left: 8px;
    top: 28px;
    bottom: -30px;
    width: 2px;
    background: transparent;
    border-left: 3px solid #f0ac1e;
}

.timeline-point {
    width: 15px;
    height: 15px;
    border-radius: 50%;
    position: absolute;
    left: 2px;
    top: 9px;
}

.mobile-header {
    display: none;
}

.yellow-circle {
    background-color: yellow;
}

.green-circle {
    background-color: green;
}

.timeline-content {
    margin-left: 30px;
}

.bi-star-fill {
    color: #f0ac1e;
}

.review-star {
    cursor: pointer;
    margin-right: 5px;
}

.table-responsive {
    overflow-x: auto;
}

.table-responsive::-webkit-scrollbar-thumb {
    background-color: #888;
    border-radius: 4px;
}

.table-responsive::-webkit-scrollbar-thumb:hover {
    background-color: #555;
}

.wallet-card {
    background: radial-gradient( circle, rgba(135, 135, 135, 1) 0%, rgba(76, 76, 76, 1) 50%);
}

.ad-fund-card {
    border: 5px solid #4c4c4c;
}

.border-dotted {
    border: 1px dashed #888;
}

.summary-card {
    /* width: 330px; */
    padding: 20px;
    text-align: center;
    position: relative;
}

.summary-card .header {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 15px;
}


/* .trans-bg{
    background: linear-gradient(90deg, rgba(102,102,102,0.2) 50%, rgba(0,0,0,1) 80%);
  mask-image: linear-gradient(90deg, rgba(10,10,10,0.1) 0%, rgba(0,0,0,1) 30%);
  } */

.chart-container {
    position: relative;
    /* width: 250px;
    height: 250px; */
    margin: 0 auto;
}

.chart-container canvas {
    display: block;
}

.chart-label {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-size: 16px;
    font-weight: bold;
    color: #333;
    line-height: 1.3;
}

.details-container {
    display: flex;
    justify-content: space-between;
    font-size: 14px;
    font-weight: bold;
    color: #555;
    margin: 20px 0 10px;
}

.legend {
    text-align: left;
    margin-top: 10px;
}

.legend-item {
    display: flex;
    justify-content: space-between;
    margin-bottom: 5px;
}

.legend-item span {
    display: flex;
    align-items: center;
}

.legend .dot {
    width: 12px;
    height: 12px;
    border-radius: 50%;
    margin-right: 8px;
}

.rides .dot {
    background-color: #ffc107;
}

.orders .dot {
    background-color: #d6d6d6;
}

.footer {
    margin-top: 15px;
    font-size: 16px;
    font-weight: bold;
    color: #333;
}

.expenses {
    font-size: 14px;
    color: #666;
    margin-top: 10px;
}

.status {
    display: flex;
    /* align-items: center; */
    justify-content: space-between;
}

.contact-bg {
    background-color: #2d3134;
}

.seller-sale-banner {
    background: center / cover no-repeat;
    height: 80vh;
}

select option:hover {
    background: black !important;
    color: white !important;
}

.create-store {
    height: 90vh;
}

@media screen and (min-width: 280px) and (max-width: 500px) {
    .status {
        display: flex;
        flex-direction: column;
    }
}

@media screen and (min-width: 280px) and (max-width: 991px) {
    .mobile-header {
        display: block;
    }
    .navbar-toggler {
        display: none;
    }
    .lang-none{
    display: none;
  }
  .sidebar {
    width:auto;
}
}


/* ================================= Badge Css Start =========================== */

.badge {
    position: relative;
    text-align: center;
    font-size: 12px;
    border-radius: 3px;
    font-weight: 600;
    padding: 4px 8px;
}

.badge--base {
    background-color: #f0ac1e !important;
}

.badge--primary {
    background-color: #4c4c4c !important;
    font-weight: bold;
}

.badge--secondary {
    background-color: #9FA6B2 !important;
}

.badge--success {
    background-color: #4BB543 !important;
}

.badge--danger {
    background-color: #DC4C64!important;
}

.badge--warning {
    background-color: #E4A11B !important;
}

.badge--info {
    background-color: #54B4D3 !important;
}

.badge--purple {
    background-color: #800080 !important;
}

.badge--orange {
    background-color: #ffA500 !important;
}

.badge--dark {
    background-color: #332D2D !important;
}
.trans-card{
  background-color: #e1e3e36b !important;
}

/* ================================= Badge Css End =========================== */

body.dark,
body.dark .navbar-dark,
body.dark .modal-content,
body.dark .dropdown-menu,
body.dark footer,
body.dark .select-dark,
body.dark textarea{
  background-color: #212529  !important;
  color: #ffffff !important;
  border-color: #444 !important;
}

body.dark .dark-btn{
  background-color: #212529  !important;
  color: #ffffff !important;
}
body.dark .container-dark,
body.dark .review-card,
body.dark .card-dark,
body.dark .swiper-slide.active,
body.dark .why-card{
  background-color: #4c4c4c !important;
  color: #ffffff !important;
  border-color: #adacac !important;
}
body.dark,
body.dark h1, 
body.dark h2, 
body.dark h3, 
body.dark h4, 
body.dark .h5-dark, 
body.dark h6,
body.dark p, 
body.dark span, 
body.dark small, 
body.dark li, 
body.dark td, 
body.dark .nav-link,
body.dark th, 
body.dark .login-dark,
body.dark .para-dark,
body.dark .footer-li,
body.dark .dash-li,
body.dark label {
  color: #ffffff !important;
}
body.dark .cards:hover .dark-hov{
  color: #ffffff !important; /* Dark mode hover text color */
}
body.dark .yellow-dark {
  color: #ffc107 !important;
}

body.dark .bg-dark-black {
  background-color: #000 !important;
}
body.dark .dash-li:hover {
    background-color: #333; 
    color: #fff !important;
}
body.dark .form-check-input:checked {
  background-color: #212529 ; /* example: white in dark mode */
  border-color: #ffc107;     /* change this to any color you prefer */
}
body.light .theme-icon {
  filter: invert(0); /* black */
}

body.dark .theme-icon {
  filter: brightness(0) invert(1); /* pure white in dark mode */
}
body.dark .para-dark,
body.dark .dark-hov
{
  color: #212529  !important;
}
body.dark .para-light {
  color: #ffffff !important;
}
.logo-dark {
  display: none;
}
body.dark .logo-light {
  display: none !important;
}
body.dark .logo-dark {
  display: inline-block !important;
}
.checkbox {
  opacity: 0;
  position: absolute;
}

.checkbox-label {
  background-color: #111;
  width: 50px;
  height: 26px;
  border-radius: 50px;
  position: relative;
  padding: 5px;
  cursor: pointer;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.bi-moon {color: #f1c40f;}

.bi-sun {color: #f39c12;}

.checkbox-label .ball {
  background-color: #fff;
  width: 22px;
  height: 22px;
  position: absolute;
  left: 2px;
  top: 2px;
  border-radius: 50%;
  transition: transform 0.2s linear;
}

.checkbox:checked + .checkbox-label .ball {
  transform: translateX(24px);
}